%global momorel 9
%global scimver 1.4.7
%global skimver 1.4.4
%global skimrel 0.20060301.7m
%global scim_canna_ver 1.0.0
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global reldir 18850

Summary: skim-scim-canna is a scim-canna settings plugin for SKIM
Name: skim-scim-canna
Version: 1.0.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://sourceforge.jp/projects/scim-imengine/
Group: User Interface/X
Source0: http://downloads.sourceforge.jp/scim-imengine/%{reldir}/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: admin.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: skim >= %{skimver}
Requires: scim-canna >= %{scim_canna_ver}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase3 >= %{kdever}-%{kdebaserel}
BuildPreReq: scim-devel >= %{scimver}
BuildPreReq: skim >= %{skimver}-%{skimrel}
BuildPreReq: pkgconfig

%description
skim-scim-canna is a scim-canna settings plugin for SKIM.

%prep
%setup -q

# build fix
rm -rf admin
tar xf %{SOURCE1}
touch setupui/skimeditshortcutbutton.h

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/kde3/kcm_skimplugin_scim_canna.la
%{_libdir}/kde3/kcm_skimplugin_scim_canna.so
%{_datadir}/apps/skim/pics/scim-canna.png
%{_datadir}/config.kcfg/canna.kcfg
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog/*.desktop

%changelog
* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-9m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-8m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-7m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-6m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-5m)
- %%NoSource -> NoSource

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-4m)
- clean up spec file

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-3m)
- rebuild against kdelibs etc.

* Wed Oct 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-2m)
- import Source1: admin.tar.bz2 from svn.kde.org

* Sun Feb 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-1m)
- update 1.0.0

* Fri Feb  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- initial package for Momonga Linux
